{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "pattern": [
    "asa",
    "dfg",
    "hhh"
  ],
  "key": {
    "a": {
      "item": "irons_spellbooks:blood_rune"
    },
    "s": {
      "item": "irons_spellbooks:legendary_ink"
    },
    "d": {
      "item": "irons_spellbooks:energized_core"
    },
    "f": {
      "item": "irons_spellbooks:lesser_spell_slot_upgrade"
    },
    "g": {
      "item": "irons_spellbooks:divine_pearl"
    },
    "h": {
      "item": "samurai_dynasty:ruby"
    }

  },
  "result": {
    "item": "wizard_samurai:wizard_samurai_crafting_table"
  }
}